module INPUTDATA
   REAl, DIMENSION (6) :: AR1
   REAl, DIMENSION (11) :: AR2
   INTEGER, PARAMETER :: TEST=1 ! probably IT before renaming
   INTEGER nums,ioer,mk
   REAL HFX, MFX, zL, betta
   REAL U, T4,c0,c4, T1,H,z0h
   REAL ws, deltaT, semisumT, D00, Z0, ZT, deltaQ
   REAL R6,R1
   REAL AN5, D1, Y10, X10, P1, P0

!C*====================================================================
!C*     .....DEFENITION OF DRAG AND HEAT EXCHANGE COEFFICIENTS......  =
!C*     DETAILS OF ALGORITM ARE GIVEN IN:                             =
!C*     A.L.KAZAKOV,V.N.LYKOSSOV,"TRUDY ZAP.SIB.NII",1982,N.55,3-20   =
!C*                    INPUT DATA:
!C*     AR1(1) - ABS(WIND VELOCITY) AT CONSTANT FLUX LAYER            =
!C*                                 (CFL) HIGHT (M/S)                 =
!C*     AR1(2) - DIFFERENCE BETWEEN POTENTIAL TEMPERATURE AT CFL HIGHT=
!C!*                             AND AT SURFACE  ( DEG. K)             =
!C*     AR1(3) - SEMI-SUM OF POTENTIAL TEMPERATURE AT CFL HIGHT AND   =
!C*                             AND AT SURFACE  ( DEG. K)             =
!C*     AR1(4) - DIFFERENCE BETWEEN HUMIDITY AT CFL HIGHT             =
!C*                             AND A SURFACE   ( GR/GR )             =
!C*     AR1(5) - CFL HIGHT ( M )                                      =
!C*     AR1(6) - ROUGHNESS OF SURFACE ( M ); FOR SEA SURFACE PUT -1   =
!C*      IT    - NUMBER OF ITERATIONS                                 =
!C*====================================================================      

end module INPUTDATA